
Module GlobalData
	'World
	Friend World As WorldClass
	
	'Default model
	Friend Model_NotFound As Integer
	
	'Clip planes
	Friend NearClip As Single
	Friend FarClip As Single
	
	'Sun
	Friend LightSource_Sun As Integer
	Friend LightSource_Sun_Pos As Vector3
	Friend LightSource_Sun_Dir As Vector3
End Module

'To be stored in list boxes when more than just a string is needed
Public Class NamedIndex
	Public TheName As String
	Public TheIndex As Integer
	Public Sub New(NewName As String, NewIndex As Integer)
		TheName = NewName
		TheIndex = NewIndex
	End Sub
	Public Overrides Function ToString() As String
		Return TheName
	End Function
End Class
